ubiquity broken with console-setup 1.178ubuntu2.5

Bug #1788597 reported by Jonathan Riddell on 2018-08-23
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
console-setup (Ubuntu)
Critical
Adam Conrad
Bionic
Undecided
Adam Conrad
ubiquity (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

[ SRU Justification ]
Due to my brain being in the wrong language, a function was exiting the script instead of returning. Derp.

[ Regression Potential ]
N'much.

[ Test Case ]
Build a new ubiquity and see if we can haz keyboard again.

[ Original Bug ]
Since this version of console-setup in bionic ubiquity now skips the Keyboard and Wireless pages.

http://launchpadlibrarian.net/382474004/console-setup_1.178ubuntu2.4_1.178ubuntu2.5.diff.gz

Jonathan Riddell (jr) wrote :

consistent on Kubuntu and Ubuntu

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in console-setup (Ubuntu):
status: New → Confirmed
Jonathan Riddell (jr) wrote :

same problem in ubuntu cosmic ISO cosmic-desktop-amd64.iso from today

Rik Mills (rikmills) wrote :

I can confirm this with both Ubuntu and Kubuntu isos, on:

- Bionic 18.04.1 iso, where console-setup is updated before launching ubiquity
- Bionic daily iso builds
- Cosmic daily iso builds

I have not tested other flavours so far.

Jonathan Riddell (jr) wrote :
Changed in console-setup (Ubuntu):
importance: Undecided → Critical
tags: added: rls-cc-incoming
tags: added: patch
Adam Conrad (adconrad) wrote :

*sigh*... That exit really wanted to be a return.

Adam Conrad (adconrad) on 2018-08-23
Changed in console-setup (Ubuntu):
assignee: nobody → Adam Conrad (adconrad)
Changed in console-setup (Ubuntu Bionic):
assignee: nobody → Adam Conrad (adconrad)
Changed in console-setup (Ubuntu):
status: Confirmed → In Progress
Changed in console-setup (Ubuntu Bionic):
status: New → In Progress
Changed in console-setup (Ubuntu):
status: In Progress → Fix Committed
description: updated

Hello Jonathan, or anyone else affected,

Accepted console-setup into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/console-setup/1.178ubuntu2.7 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in console-setup (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-bionic
Jonathan Riddell (jr) wrote :

I ran ubuntu-18.08.1 ISO, did a full-upgrade to console-setup 1.178ubuntu2.6, ran ubiquity, noted that it skipped the keyboard and wireless pages.

I then enabled proposed, did a full-upgrade to console-setup 1.178ubuntu2.7, ran ubiquity, noted that it did not skip any pages.

tags: added: verification-done-bionic
removed: verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package console-setup - 1.178ubuntu9

---------------
console-setup (1.178ubuntu9) cosmic; urgency=medium

  * keyboard-configuration.config: Fix exit/return thinko (LP: #1788597)

 -- Adam Conrad <email address hidden> Thu, 23 Aug 2018 16:32:45 -0600

Changed in console-setup (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package console-setup - 1.178ubuntu2.7

---------------
console-setup (1.178ubuntu2.7) bionic; urgency=medium

  * keyboard-configuration.config: Fix exit/return thinko (LP: #1788597)

 -- Adam Conrad <email address hidden> Thu, 23 Aug 2018 16:32:45 -0600

Changed in console-setup (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for console-setup has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Łukasz Zemczak (sil2100) wrote :

I guess we need an ubiquity rebuild with the new console-setup now.

On Mon, 3 Sep 2018 at 20:01, Łukasz Zemczak <email address hidden>
wrote:

> I guess we need an ubiquity rebuild with the new console-setup now.
>

 The version in bionic-proposed has the fix (seems the ubiquity build
process includes packages from -proposed)

Adam Conrad (adconrad) wrote :

Ubiquity with this fix exists in both cosmic and bionic-updates.

Changed in ubiquity (Ubuntu):
status: New → Fix Released
Changed in ubiquity (Ubuntu Bionic):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers